{% extends 'property_vacancy_management/building_unit/building_unit.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/building_unit/basic_data') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/building_unit/basic_data') }}
{% endblock %}

{% block buildingUnitHeaderContent %}
    <span class="text-primary fs-5 align-self-center">Objekt {{ buildingUnit.getName() }}</span>

    {% if is_granted('edit', buildingUnit) == true %}
        {{ form_widget(buildingUnitBasicDataForm.save, {'label': 'SPEICHERN', 'id': buildingUnitBasicDataForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
    {% endif %}

    {% if is_granted('ROLE_USER') or is_granted('ROLE_PROPERTY_FEEDER') or is_granted('ROLE_PROPERTY_PROVIDER') %}
        {% set contextMenuListItems = [] %}

        {% if is_granted('ROLE_USER') or is_granted('ROLE_PROPERTY_FEEDER') %}
            {% set contextMenuListItems = contextMenuListItems|merge([{
                'label': 'Kurzexpose erstellen',
                'url': path('property_vacancy_management_building_unit_pdf_expose', {'buildingUnitId': buildingUnit.getId()}),
                'icon': 'picture_as_pdf',
                'target': '_blank'
            }]) %}
        {% endif %}

        {% if is_granted('assignToAccountUser', buildingUnit) == true %}
            {% set contextMenuListItems = contextMenuListItems|merge([{
                'label': 'Sachbearbeiter:in zuweisen',
                'url': path('property_vacancy_management_building_unit_assign_to_account_user', {'buildingUnitId': buildingUnit.getId()}),
                'icon': 'assignment_ind'
            }]) %}
        {% endif %}

        {% if is_granted('archive', buildingUnit) == true %}
            {% if buildingUnit.isArchived() == true %}
                {% set contextMenuListItems = contextMenuListItems|merge([{
                    'label': 'Aus Archiv holen',
                    'url': path('property_vacancy_management_building_unit_unarchive', {'buildingUnitId': buildingUnit.getId()}),
                    'icon': 'unarchive'
                }]) %}
            {% else %}
                {% set contextMenuListItems = contextMenuListItems|merge([{
                    'label': 'Objekt archivieren',
                    'url': path('property_vacancy_management_building_unit_archive', {'buildingUnitId': buildingUnit.getId()}),
                    'icon': 'archive'
                }]) %}
            {% endif %}
        {% endif %}

        {% if is_granted('delete', buildingUnit) == true %}
            {% set contextMenuListItems = contextMenuListItems|merge([{
                'label': 'Objekt löschen',
                'url': path('property_vacancy_management_building_unit_delete', {'buildingUnitId': buildingUnit.getId()}),
                'icon': 'delete_forever'
            }]) %}
        {% endif %}
        {% if is_granted('openImmoExport', buildingUnit) == true and openImmoFtpCredentialsConfigured == true %}
            {% set contextMenuListItems = contextMenuListItems|merge([{
                'label': 'Export an Immobilienportale',
                'url': path('property_vacancy_management_building_unit_open_immo_export', {'buildingUnitId': buildingUnit.getId()}),
                'icon': 'ios_share'
            }]) %}
        {% endif %}
    {% include 'component/mdc_context_menu_component.html.twig' with {'id': 'building_unit_basic_data','listItems': contextMenuListItems} only %}
    {% endif %}
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4">
            {% if is_granted('edit', buildingUnit) == true %}
                {{ form_start(buildingUnitBasicDataForm, {'attr': {'id': buildingUnitBasicDataForm.vars.id ~ '_form'}}) }}
            {% endif %}
            {% include 'property_vacancy_management/form/building_unit/building_unit_basic_data_form.html.twig' with {'form': buildingUnitBasicDataForm} only %}
            {% if is_granted('edit', buildingUnit) == true %}
                {{ form_row(buildingUnitBasicDataForm._token) }}
                {{ form_end(buildingUnitBasicDataForm, {'render_rest': false}) }}
            {% endif %}
        </div>
    </div>
{% endblock %}
